Bug 444936 - initscript start doesn't handle stale lockfiles
Summary: initscript start doesn't handle stale lockfiles
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-02 04:39 UTC by Bradley
Modified: 2008-05-29 02:52 UTC (History)
0 users

Fixed In Version: 5.10.45-14.20080315svn.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 02:46:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bradley 2008-05-02 04:39:18 UTC
Description of problem:

If there is a stale lockfile (eg because your machine crashed), the initscript
doesn't start up boinc on the next run - it errors out with "Another instance of
BOINC is running (lockfile exists)."

Version-Release number of selected component (if applicable):
boinc-client-5.10.45-9.20080315svn.fc8

How reproducible:

Always

Steps to Reproduce:
1. start boinc client
2. kill the pid manually
3. run /etc/rc.d/init.d/boinc_client start
  
Actual results:

Client fails to start, with error "Another instance of BOINC is running
(lockfile exists)."

Expected results:

stale lockfile is detected and client starts

Additional info:

The initscript shouldn't do its own lockfile stuff - it should use the fedora
daemon helper function with --check.

Comment 1 Fedora Update System 2008-05-04 01:00:17 UTC
boinc-client-5.10.45-11.20080315svn.fc8 has been submitted as an update for Fedora 8

Comment 2 Fedora Update System 2008-05-04 01:02:45 UTC
boinc-client-5.10.45-11.20080315svn.fc7 has been submitted as an update for Fedora 7

Comment 3 Fedora Update System 2008-05-04 01:03:38 UTC
boinc-client-5.10.45-11.20080315svn.fc9 has been submitted as an update for Fedora 9

Comment 4 Milos Jakubicek 2008-05-04 01:07:06 UTC
Should be fixed in boinc-client-5.10.45-11.20080315svn.fc8
Please test the build in Koji:

http://koji.fedoraproject.org/koji/buildinfo?buildID=47992

or wait until it will be available from updates-testing (in the latter case
please comment also on
https://admin.fedoraproject.org/updates/F8/pending/boinc-client-5.10.45-11.20080315svn.fc8)


Comment 5 Bradley 2008-05-04 02:40:39 UTC
Yep, that works, thanks.

Comment 6 Fedora Update System 2008-05-10 13:54:29 UTC
boinc-client-5.10.45-11.20080315svn.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boinc-client'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3531

Comment 7 Fedora Update System 2008-05-29 02:46:28 UTC
boinc-client-5.10.45-14.20080315svn.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-05-29 02:47:53 UTC
boinc-client-5.10.45-14.20080315svn.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-05-29 02:52:29 UTC
boinc-client-5.10.45-14.20080315svn.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.